# emdapiwindindex
No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)

This Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: 1.1
- Package version: 1.0.0
- Build package: org.openapitools.codegen.languages.PythonClientExperimentalCodegen

## Requirements.

Python 2.7 and 3.4+

## Installation & Usage
### pip install

If the python package is hosted on a repository, you can install directly using:

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:
```python
import emdapiwindindex
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import emdapiwindindex
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python
from __future__ import print_function

import time
import emdapiwindindex
from pprint import pprint

# Defining the host is optional and defaults to http://api.emd.dk
# See configuration.py for a list of all supported configuration parameters.
configuration = emdapiwindindex.Configuration(
    host = "http://api.emd.dk"
)

# The client must configure the authentication and authorization parameters
# in accordance with the API server security policy.
# Examples for each auth method are provided below, use the example that
# satisfies your auth use case.

# Configure API key authorization: api_key
configuration = emdapiwindindex.Configuration(
    host = "http://api.emd.dk",
    api_key = {
        'X-Auth': 'YOUR_API_KEY'
    }
)
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['X-Auth'] = 'Bearer'


# Enter a context with an instance of the API client
with emdapiwindindex.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = emdapiwindindex.WindIndexApi(api_client)
    
    try:
        # Return list of wind turbines with the calibrated wind-index
        api_response = api_instance.windindex_controller_get_windindexcalibrated()
        pprint(api_response)
    except emdapiwindindex.ApiException as e:
        print("Exception when calling WindIndexApi->windindex_controller_get_windindexcalibrated: %s\n" % e)
    
```

## Documentation for API Endpoints

All URIs are relative to *http://api.emd.dk*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*WindIndexApi* | [**windindex_controller_get_windindexcalibrated**](docs/WindIndexApi.md#windindex_controller_get_windindexcalibrated) | **GET** /calibrated/ | Return list of wind turbines with the calibrated wind-index
*WindIndexApi* | [**windindex_controller_get_windindexcalibrateddetails**](docs/WindIndexApi.md#windindex_controller_get_windindexcalibrateddetails) | **GET** /calibrated/details/{turbine_id} | Returns details if a turbine
*WindIndexApi* | [**windindex_controller_get_windindexcalibratedmodeldata**](docs/WindIndexApi.md#windindex_controller_get_windindexcalibratedmodeldata) | **GET** /calibrated/model_data/{turbine_id} | Return comma seperated csv file with model used for prediction (site and hub_height adjusted), the returned data is in turbine time zone
*WindIndexApi* | [**windindex_controller_get_windindexcalibratedwindindices**](docs/WindIndexApi.md#windindex_controller_get_windindexcalibratedwindindices) | **GET** /calibrated/wind_indices/{turbine_id} | Return comma seperated csv file with different wind indices
*WindIndexApi* | [**windindex_controller_get_windindexcalibratedwindindicesmonth**](docs/WindIndexApi.md#windindex_controller_get_windindexcalibratedwindindicesmonth) | **GET** /calibrated/wind_indices/{turbine_id}/{year}/{month}/ | Return json with wind index information for the given turbine, year, month


## Documentation For Models

 - [inline_response200.InlineResponse200](docs/InlineResponse200.md)
 - [inline_response2001.InlineResponse2001](docs/InlineResponse2001.md)
 - [inline_response2002.InlineResponse2002](docs/InlineResponse2002.md)
 - [inline_response2002_last_wind_index.InlineResponse2002LastWindIndex](docs/InlineResponse2002LastWindIndex.md)
 - [inline_response2002_power_curve.InlineResponse2002PowerCurve](docs/InlineResponse2002PowerCurve.md)
 - [inline_response2002_power_curve_power.InlineResponse2002PowerCurvePower](docs/InlineResponse2002PowerCurvePower.md)


## Documentation For Authorization


## api_key

- **Type**: API key
- **API key parameter name**: X-Auth
- **Location**: HTTP header


## Author




